#include <iostream>
#include <cmath>
using namespace std;

bool potpunKvadrat(int a)
{
    bool vrednost=true;
    for(int i=2;i<=a/2;i++)
    {
        if(a%i==0)
            {
                vrednost=false;
                break;
            }
    }
        return vrednost;
}


int main()
{
    ios_base::sync_with_stdio(false);
    int t,x=0,y=0;
    cin>>t;
    int a[t][2];
    for(int i=0;i<t;i++)
        for(int j=0;j<2;j++)
        cin>>a[i][j];
    for(int i=0;i<t;i++)

          {
            if(a[i][0]%2==0)
            cout<<-1<<endl;
            else if(a[i][1]%2!=0)
            cout<<-1<<endl;
            else if(a[i][1]==0)
            {
                if(!potpunKvadrat(a[i][0]))
               {
                y=0;
                x=sqrt(a[i][0]);
                cout<<x<<" "<<y<<endl;
               }
               else
                cout<<-1<<endl;
            }
            else if(a[i][0]==0)
            {
                x=0;
                y=a[i][1];
                cout<<x<<" "<<y<<endl;
            }
            else
            {
                y=(-a[i][1]+sqrt(a[i][1]*a[i][1]+a[i][0]*4))/2;
                x=a[i][0]/y;
                cout<<x<<" "<<y<<endl;


            }

          }
    return 0;
}